/* 
  BE n1 - Base de donnes
  Dfinition de la classe Employ
  2001-10-05, Mathieu Goutelle
*/

#ifndef EMPLOYE
#define EMPLOYE

#include <string.h>
#include <stdlib.h>
#include <iostream.h>

class Employe {
 private:
  unsigned int num_emp, salaire;
  char dept[28];
  char ville[28];

 public:
  // Constucteurs & destructeur
  Employe();
  Employe(int, int, char*, char*);
  Employe(char*); // Cration  partir d'un article
  Employe(const Employe&);
  ~Employe();
  // Accs aux attributs
  int Get_num_emp() const;
  int Get_salaire() const;
  char* Get_dept() const;
  char* Get_ville() const;
  // MAJ des attributs
  void Set_num_emp(int);
  void Set_salaire(int);
  void Set_dept(char*);
  void Set_ville(char*);
  // Calcul de la cl de hachage
  int hachage() const;
  // Mise en forme de l'article
  char* article() const;
  // Surcharge de l'oprateur '<<'
  friend ostream& operator<<(ostream &, const Employe &);
};

#endif
