/* 
  BE n1 - Base de donnes
  Application principale
  2001-10-05, Mathieu Goutelle
*/

#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "employe.h"
#include "BD.h"

BaseDonnees BD1("toto", 10);

void ins() {
  int num_emp, sal;
  char dept[28], ville[28];

  cout<<"\nNouvel employ\n";
  cout<<"   Numro d'employ : "; cin>>num_emp;
  cout<<"   Salaire : "; cin>>sal;
  cout<<"   Dpartement : "; cin>>dept;
  cout<<"   Ville : "; cin>>ville;

  Employe emp(num_emp, sal, dept, ville);
  BD1.Insertion(emp);
}

void del() {
  int num_emp, sal;
  char dept[28], ville[28];

  cout<<"\nEmploy  supprimer\n";
  cout<<"   Numro d'employ : "; cin>>num_emp;
  cout<<"   Salaire : "; cin>>sal;
  cout<<"   Dpartement : "; cin>>dept;
  cout<<"   Ville : "; cin>>ville;

  Employe emp(num_emp, sal, dept, ville);
  BD1.Suppression(emp);
}

void update() {
  int num_emp, sal;
  char dept[28], ville[28];
  int num_emp_new, sal_new;
  char dept_new[28], ville_new[28];

  cout<<"\nEmploy  modifier\n";
  cout<<"   Numro d'employ : "; cin>>num_emp;
  cout<<"   Salaire : "; cin>>sal;
  cout<<"   Dpartement : "; cin>>dept;
  cout<<"   Ville : "; cin>>ville;

  cout<<"\nNouvel employ\n";
  cout<<"   Numro d'employ : "; cin>>num_emp_new;
  cout<<"   Salaire : "; cin>>sal_new;
  cout<<"   Dpartement : "; cin>>dept_new;
  cout<<"   Ville : "; cin>>ville_new;

  Employe emp1(num_emp, sal, dept, ville);
  Employe emp2(num_emp_new, sal_new, dept_new, ville_new);
  BD1.Modification(emp1, emp2);
}

void search() {
  int num_emp, sal;
  char opS;
  char dept[28], ville[28];

  cout<<"\nEmploy  rechercher\n";
  cout<<"   Numro d'employ (0 pour ignorer) : "; cin>>num_emp;
  cout<<"   Salaire (0 pour ignorer) : "; cin>>sal;
  cout<<"   Oprateur de comparaison (=, < ou >) : "; cin>>opS;
  cout<<"   Dpartement (@ pour ignorer) : "; cin>>dept;
  if (dept[0] == '@') dept[0] = '\0';

  BD1.Recherche(num_emp, sal, opS, dept);
  cout<<"Appuyer sur une touche pour continuer.\n";
  while(!kbhit());
}

int main() {
  char c;

  do {
    clrscr();
    cout<<"Gestion d'une mini base de donnes\n";
    cout<<"----------------------------------\n\n";
    cout<<"0 - Quitter le programme\n";
    cout<<"1 - Insrer une nouvelle entre\n";
    cout<<"2 - Supprimer une entre\n";
    cout<<"3 - Modifier une entre\n";
    cout<<"4 - Chercher dans la base de donnes\n\n";
    cout<<"        Choisissez une action en tapant sur le numro correspondant.\n\n";
    cout<<"Taux de remplissage : "<<BD1.tx_rempl()<<"%\n";
    cout<<"Taux de dbordement : "<<BD1.tx_debord()<<"%\n";
    cin>>c;

    switch (c) {
    case '1' : ins(); break;
    case '2' : del(); break;
    case '3' : update(); break;
    case '4' : search(); break;
    default : ;
    }
  } while (c != '0');
}

